package cn.com.ctop.common.module.achievements.controller;

import cn.com.ctop.common.module.achievements.service.IDesignerService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
/**
 * 设计人员绩效
 *
 * @author: zian Y
 * @date: 2022-09-28
 * @cersion: V1.0
 */
@Slf4j
@Api(tags = "设计人员绩效")
@RestController
@RequestMapping("/designer/designerAchievementsController")
public class DesignerAchievementsController {
    @Autowired
    private IDesignerService designerService;

    /**
     * 分页列表查询
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    @GetMapping(value = "/getHotVideoData")
    public Result getHotVideoData(@RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                                                        @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize) {

        return designerService.getHotVideoData();

    }

}
